/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import cn.hutool.core.util.NumberUtil;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import net.northking.cctp.scriptcase.constants.ScriptConstant;
import org.apache.commons.lang.StringUtils;

import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：脚本输入项数据集关联草稿表
*
* createdate:  2023-08-29 10:41:06  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本输入项数据集关联草稿表")
public class AtuScriptInputSetQuoteFieldDto implements Serializable
{
    private String setId;//数据集id
    private String value;//指定某行列的单元格的值
    private String column;//列名
    private Integer row;//行号
    private String path;//静态数据集所在目录：静态数据集名称
    /**
     * 类型，默认为1，1-静态数据，2-模糊数据
     */
    private String type = ScriptConstant.INPUT_SET_QUOTE_TYPE_STATIC;

    public String getSetId() {
        return setId;
    }

    public void setSetId(String setId) {
        this.setId = setId;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getColumn() {
        return column;
    }

    public void setColumn(String column) {
        this.column = column;
    }

    public Integer getRow() {
        return row;
    }

    public void setRow(Integer row) {
        this.row = row;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isValid(){
        return StringUtils.isNotBlank(this.setId)
                && StringUtils.isNotBlank(this.column)
                && NumberUtil.isInteger(String.valueOf(this.row));
    }
}